<?php

/*
 * This file is part of the WIGames Plugin package.
 *
 * (c) Artprima <ask@artprima.cz>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */


/**
 * Class Frontend
 *
 * @author Artprima <ask@artprima.cz>
 *
 */
class WIGames_Frontend
{
    public function __construct()
    {
        add_action('wp_head', array($this, 'doHeader'));
    }

    public function doHeader()
    {
        $options = get_option('wi_games_plugin_settings');
        if (!is_array($options)) {
            $options = array(
                'widget_code' => '',
                'need_jquery' => false,
            );
        }

        if ($options['widget_code']) {
            if ($options['need_jquery']) {
                echo '<script src="'.WI_GAMES_JQUERY_LINK.'"></script>';
            }
            echo $options['widget_code'];
        }
    }
}